QSUB(1)

NAME
qsub - submit a batch job in a familiar PBS format

SYNOPSIS
qsub [-a start_time]
      [-A account]
      [-b y|n]
      [-e err_path]
      [-I]
      [-l resource_list]
      [-m mail_options] [-M user_list]
      [-N job_name]
      [-o out_path]
      [-p priority]
      [-pe shm task_cnt]
      [-P wckey]
      [-q destination]
      [-r y|n]
      [-v variable_list]
      [-V]
      [-wd workdir]
      [-W additional_attributes]
      [-h]
      [script]

DESCRIPTION
The qsub submits batch jobs. It is aimed to be feature-compatible with PBS' qsub.

OPTIONS

-a  Earliest start time of job. Format: [HH:MM][MM/DD/YY]

-A account
    Specify the account to which the job should be charged.

-b y|n
    Whether to wrap the command line or not

-e err_path
    Specify a new path to receive the standard error output for the job.

-I  Interactive execution.

-J job_array
    Job array index values. The -J and -t options are equivalent.

-l resource_list
    Specify an additional list of resources to request for the job.

-m mail_options
    Specify a list of events on which email is to be generated.

-M user_list
    Specify a list of email addresses to receive messages on specified events.

-N job_name
    Specify a name for the job.

-o out_path
    Specify the path to a file to hold the standard output from the job.

-p priority
    Specify the priority under which the job should run.

-pe shm cpus-per-task
    Specify the number of cpus per task.

-P wckey
    Specify the wckey or project of a job.

-r y|n
    Whether to allow the job to requeue or not.

-t job_array
    Job array index values. The -J and -t options are equivalent.

-v [variable_list]
    Export only the specified environment variables. This option can also be used with the -V option to add newly defined environment variables to the existing environment. The variable_list is a comma delimited list of existing environment variable names and/or newly defined environment variables using a name=value format.

-V  The -V option to exports the current environment, which is the default mode of options unless the -v option is used.

-wd workdir
    Specify the workdir of a job. The default is the current work dir.

-? | --help
    brief help message

--man
    full documentation